# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GDK_INCLUDE = @GDK_INCLUDE@
GDK_LIB = @GDK_LIB@
GLIB_INCLUDE = @GLIB_INCLUDE@
GLIB_LIB = @GLIB_LIB@
GMSGFMT = @GMSGFMT@
GTK_INCLUDE = @GTK_INCLUDE@
GTK_LIB = @GTK_LIB@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXINERAMA = @LIBXINERAMA@
LIBXSS = @LIBXSS@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MAL_INCLUDE = @MAL_INCLUDE@
MAL_LIB = @MAL_LIB@
MAL_RPATH = @MAL_RPATH@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PISOCK_INCLUDE = @PISOCK_INCLUDE@
PISOCK_LIB = @PISOCK_LIB@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
calendarsystem_SUBDIR_included_FALSE = @calendarsystem_SUBDIR_included_FALSE@
calendarsystem_SUBDIR_included_TRUE = @calendarsystem_SUBDIR_included_TRUE@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_exchange_SUBDIR_FALSE = @include_exchange_SUBDIR_FALSE@
include_exchange_SUBDIR_TRUE = @include_exchange_SUBDIR_TRUE@
include_malconduit_FALSE = @include_malconduit_FALSE@
include_malconduit_TRUE = @include_malconduit_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kaddressbook_SUBDIR_included_FALSE = @kaddressbook_SUBDIR_included_FALSE@
kaddressbook_SUBDIR_included_TRUE = @kaddressbook_SUBDIR_included_TRUE@
kalarm_SUBDIR_included_FALSE = @kalarm_SUBDIR_included_FALSE@
kalarm_SUBDIR_included_TRUE = @kalarm_SUBDIR_included_TRUE@
kalarmd_SUBDIR_included_FALSE = @kalarmd_SUBDIR_included_FALSE@
kalarmd_SUBDIR_included_TRUE = @kalarmd_SUBDIR_included_TRUE@
kandy_SUBDIR_included_FALSE = @kandy_SUBDIR_included_FALSE@
kandy_SUBDIR_included_TRUE = @kandy_SUBDIR_included_TRUE@
kaplan_SUBDIR_included_FALSE = @kaplan_SUBDIR_included_FALSE@
kaplan_SUBDIR_included_TRUE = @kaplan_SUBDIR_included_TRUE@
karm_SUBDIR_included_FALSE = @karm_SUBDIR_included_FALSE@
karm_SUBDIR_included_TRUE = @karm_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kfile_plugins_SUBDIR_included_FALSE = @kfile_plugins_SUBDIR_included_FALSE@
kfile_plugins_SUBDIR_included_TRUE = @kfile_plugins_SUBDIR_included_TRUE@
kgantt_SUBDIR_included_FALSE = @kgantt_SUBDIR_included_FALSE@
kgantt_SUBDIR_included_TRUE = @kgantt_SUBDIR_included_TRUE@
kitchensync_SUBDIR_included_FALSE = @kitchensync_SUBDIR_included_FALSE@
kitchensync_SUBDIR_included_TRUE = @kitchensync_SUBDIR_included_TRUE@
knotes_SUBDIR_included_FALSE = @knotes_SUBDIR_included_FALSE@
knotes_SUBDIR_included_TRUE = @knotes_SUBDIR_included_TRUE@
konsolekalendar_SUBDIR_included_FALSE = @konsolekalendar_SUBDIR_included_FALSE@
konsolekalendar_SUBDIR_included_TRUE = @konsolekalendar_SUBDIR_included_TRUE@
korganizer_SUBDIR_included_FALSE = @korganizer_SUBDIR_included_FALSE@
korganizer_SUBDIR_included_TRUE = @korganizer_SUBDIR_included_TRUE@
kpilot_SUBDIR_included_FALSE = @kpilot_SUBDIR_included_FALSE@
kpilot_SUBDIR_included_TRUE = @kpilot_SUBDIR_included_TRUE@
ksync_SUBDIR_included_FALSE = @ksync_SUBDIR_included_FALSE@
ksync_SUBDIR_included_TRUE = @ksync_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libical_SUBDIR_included_FALSE = @libical_SUBDIR_included_FALSE@
libical_SUBDIR_included_TRUE = @libical_SUBDIR_included_TRUE@
libkcal_SUBDIR_included_FALSE = @libkcal_SUBDIR_included_FALSE@
libkcal_SUBDIR_included_TRUE = @libkcal_SUBDIR_included_TRUE@
libkdepim_SUBDIR_included_FALSE = @libkdepim_SUBDIR_included_FALSE@
libkdepim_SUBDIR_included_TRUE = @libkdepim_SUBDIR_included_TRUE@
libkpimexchange_SUBDIR_included_FALSE = @libkpimexchange_SUBDIR_included_FALSE@
libkpimexchange_SUBDIR_included_TRUE = @libkpimexchange_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@
SUBDIRS = versit tests

INCLUDES = -I$(top_srcdir)/libical/src/libical \
  -I$(top_srcdir)/libical/src/libicalss -I$(top_builddir)/libical/src/libical \
  -I$(top_builddir)/libical/src/libicalss -I$(srcdir)/versit $(all_includes)


lib_LTLIBRARIES = libkcal.la
libkcal_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 2:0:0 -module
libkcal_la_LIBADD = $(LIB_QT) versit/libversit.la $(LIB_KFILE) \
                     $(top_builddir)/libical/src/libical/libical.la \
                     $(top_builddir)/libical/src/libicalss/libicalss.la


libkcal_la_SOURCES = \
        incidencebase.cpp incidence.cpp journal.cpp todo.cpp event.cpp \
        freebusy.cpp attendee.cpp recurrence.cpp alarm.cpp \
        calendar.cpp calendarlocal.cpp \
        calformat.cpp vcalformat.cpp icalformat.cpp icalformatimpl.cpp \
	vcaldrag.cpp icaldrag.cpp \
        exceptions.cpp \
        scheduler.cpp imipscheduler.cpp dummyscheduler.cpp \
        calfilter.cpp \
        person.cpp period.cpp duration.cpp \
        dndfactory.cpp \
        filestorage.cpp \
        compat.cpp


#>- METASOURCES = AUTO
subdir = libkcal
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libkcal_la_DEPENDENCIES = versit/libversit.la \
	$(top_builddir)/libical/src/libical/libical.la \
	$(top_builddir)/libical/src/libicalss/libicalss.la
am_libkcal_la_OBJECTS = incidencebase.lo incidence.lo journal.lo todo.lo \
	event.lo freebusy.lo attendee.lo recurrence.lo alarm.lo \
	calendar.lo calendarlocal.lo calformat.lo vcalformat.lo \
	icalformat.lo icalformatimpl.lo vcaldrag.lo icaldrag.lo \
	exceptions.lo scheduler.lo imipscheduler.lo dummyscheduler.lo \
	calfilter.lo person.lo period.lo duration.lo dndfactory.lo \
	filestorage.lo compat.lo
#>- libkcal_la_OBJECTS = $(am_libkcal_la_OBJECTS)
#>+ 10
libkcal_la_final_OBJECTS = libkcal_la.all_cpp.lo 
libkcal_la_nofinal_OBJECTS = incidencebase.lo incidence.lo journal.lo todo.lo \
	event.lo freebusy.lo attendee.lo recurrence.lo alarm.lo \
	calendar.lo calendarlocal.lo calformat.lo vcalformat.lo \
	icalformat.lo icalformatimpl.lo vcaldrag.lo icaldrag.lo \
	exceptions.lo scheduler.lo imipscheduler.lo dummyscheduler.lo \
	calfilter.lo person.lo period.lo duration.lo dndfactory.lo \
	filestorage.lo compat.lo
@KDE_USE_FINAL_FALSE@libkcal_la_OBJECTS = $(libkcal_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkcal_la_OBJECTS = $(libkcal_la_final_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/alarm.Plo ./$(DEPDIR)/attendee.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/calendar.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/calendarlocal.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/calfilter.Plo ./$(DEPDIR)/calformat.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/compat.Plo ./$(DEPDIR)/dndfactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/dummyscheduler.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/duration.Plo ./$(DEPDIR)/event.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/exceptions.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/filestorage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/freebusy.Plo ./$(DEPDIR)/icaldrag.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/icalformat.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/icalformatimpl.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/imipscheduler.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/incidence.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/incidencebase.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/journal.Plo ./$(DEPDIR)/period.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/person.Plo ./$(DEPDIR)/recurrence.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/scheduler.Plo ./$(DEPDIR)/todo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vcaldrag.Plo ./$(DEPDIR)/vcalformat.Plo
#>+ 39
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =   $(DEPDIR)/libkcal_la.all_cpp.P  ./$(DEPDIR)/alarm.Plo ./$(DEPDIR)/attendee.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/calendar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/calendarlocal.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/calfilter.Plo ./$(DEPDIR)/calformat.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/compat.Plo ./$(DEPDIR)/dndfactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/dummyscheduler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/duration.Plo ./$(DEPDIR)/event.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/exceptions.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/filestorage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/freebusy.Plo ./$(DEPDIR)/icaldrag.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/icalformat.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/icalformatimpl.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/imipscheduler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/incidence.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/incidencebase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/journal.Plo ./$(DEPDIR)/period.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/person.Plo ./$(DEPDIR)/recurrence.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/scheduler.Plo ./$(DEPDIR)/todo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vcaldrag.Plo ./$(DEPDIR)/vcalformat.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =   ./$(DEPDIR)/alarm.Plo ./$(DEPDIR)/attendee.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/calendar.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/calendarlocal.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/calfilter.Plo ./$(DEPDIR)/calformat.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/compat.Plo ./$(DEPDIR)/dndfactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/dummyscheduler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/duration.Plo ./$(DEPDIR)/event.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/exceptions.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/filestorage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/freebusy.Plo ./$(DEPDIR)/icaldrag.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/icalformat.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/icalformatimpl.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/imipscheduler.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/incidence.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/incidencebase.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/journal.Plo ./$(DEPDIR)/period.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/person.Plo ./$(DEPDIR)/recurrence.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/scheduler.Plo ./$(DEPDIR)/todo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vcaldrag.Plo ./$(DEPDIR)/vcalformat.Plo

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libkcal_la_SOURCES)

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README $(top_srcdir)/admin/Doxyfile.am COPYING \
	Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(libkcal_la_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/admin/Doxyfile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  libkcal/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  libkcal/Makefile
	cd $(top_srcdir) && perl admin/am_edit libkcal/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- libkcal.la: $(libkcal_la_OBJECTS) $(libkcal_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkcal.la: libkcal.la.closure $(libkcal_la_OBJECTS) $(libkcal_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkcal.la: $(libkcal_la_OBJECTS) $(libkcal_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkcal_la_LDFLAGS) $(libkcal_la_OBJECTS) $(libkcal_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alarm.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/attendee.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/calendar.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/calendarlocal.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/calfilter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/calformat.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compat.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dndfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummyscheduler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/duration.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exceptions.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filestorage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/freebusy.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icaldrag.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icalformat.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icalformatimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/imipscheduler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/incidence.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/incidencebase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/journal.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/period.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/person.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/recurrence.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scheduler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/todo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcaldrag.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcalformat.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=period.h calformat.h alarm.h dummyscheduler.h imipscheduler.h calfilter.h calendarlocal.h scheduler.h vcaldrag.h duration.h icalformatimpl.h exceptions.h attendee.h incidencebase.h incidence.h person.h journal.h todo.h HACKING icaldrag.h calstorage.h vcalformat.h icalformat.h dndfactory.h event.h compat.h freebusy.h calendar.h recurrence.h filestorage.h 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	$(mkinstalldirs) $(distdir)/../admin
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(libdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-closures clean-final  clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-data-local

install-exec-am: install-libLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES uninstall-local

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-recursive ctags ctags-recursive distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-recursive distclean-tags distdir \
	dvi dvi-am dvi-recursive info info-am info-recursive install \
	install-am install-data install-data-am install-data-local \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-libLTLIBRARIES install-man \
	install-recursive install-strip installcheck installcheck-am \
	installdirs installdirs-am installdirs-recursive \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-info-am \
	uninstall-info-recursive uninstall-libLTLIBRARIES \
	uninstall-local uninstall-recursive


messages:
	$(XGETTEXT) *.cpp -o $(podir)/libkcal.pot
apidox-am-yes:
	@if test "$(subdir)" != "."; then \
		$(mkinstalldirs) $(top_builddir)/apidocs/$(subdir) ;\
		if test ! -x $(top_builddir)/apidocs/common; then \
			if test -d $(top_srcdir)/doc/common; then \
			   common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
			else \
	   		   common_dir=$(kde_libs_htmldir)/en/common ;\
			fi ;\
			$(LN_S) $$common_dir $(top_builddir)/apidocs/common; \
		fi ;\
		cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
		echo "PROJECT_NAME           = \"$(subdir) Library\"" >> Doxyfile; \
		echo "PROJECT_NUMBER         = \"Version $(VERSION)\"" >> Doxyfile; \
		echo "INPUT                  = $(srcdir)" >> Doxyfile; \
		echo "IMAGE_PATH             = $(top_srcdir)/doc/api" >> Doxyfile ;\
		echo "OUTPUT_DIRECTORY       = $(top_builddir)/apidocs" >> Doxyfile; \
		echo "HTML_OUTPUT            = $(subdir)/html" >> Doxyfile; \
		echo "LATEX_OUTPUT           = $(subdir)/latex" >> Doxyfile; \
		echo "RTF_OUTPUT             = $(subdir)/rtf" >> Doxyfile; \
		echo "MAN_OUTPUT             = $(subdir)/man" >> Doxyfile; \
		echo "GENERATE_HTML          = $(GENERATE_FLAG)" >> Doxyfile ;\
		echo "GENERATE_MAN          = $(GENERATE_FLAG)" >> Doxyfile ;\
		echo "GENERATE_LATEX          = $(GENERATE_FLAG)" >> Doxyfile ;\
		if test -n "$(DOXYGEN_EXCLUDE)"; then \
			echo "EXCLUDE_PATTERNS      += $(DOXYGEN_EXCLUDE)" >> Doxyfile; \
		fi ;\
		echo "TAGFILES = \\" >> Doxyfile; \
		tags='$(DOXYGEN_REFERENCES) qt'; for tag in $$tags; do \
			tagpath= ;\
			path="../../$$tag" ;\
			if test -f $(top_builddir)/apidocs/$$tag/$$tag.tag; then \
				tagpath="$(top_builddir)/apidocs/$$tag/$$tag.tag" ;\
			else \
				tagpath=`ls -1 $(kde_htmldir)/en/*-apidocs/$$tag/$$tag.tag 2> /dev/null` ;\
				if test -n "$$tagpath"; then \
					path=`echo $$tagpath | sed -e "s,.*/\([^/]*-apidocs\)/$$tag/$$tag.tag,../../../\1/$$tag,"` ;\
				fi ;\
			fi ;\
			if test "$$tag" = qt; then \
				echo $$tagpath=$(QTDOCDIR) >> Doxyfile ;\
			else if test -n "$$tagpath"; then \
				echo "$$tagpath=$$path/html \\" >> Doxyfile ;\
			    fi ;\
			fi ;\
		done ;\
		echo "GENERATE_TAGFILE       = $(top_builddir)/apidocs/$(subdir)/$(subdir).tag" >> Doxyfile ;\
		echo "IGNORE_PREFIX          = K" >> Doxyfile ;\
		echo "HAVE_DOT = $(KDE_HAVE_DOT)" >> Doxyfile ;\
		$(DOXYGEN) Doxyfile ;\
	fi

apidox-am-no:

install-data-local: install-apidox

install-apidox:
	@if test "$(subdir)" != "."; then \
		$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html ; \
		if test -f $(top_builddir)/apidocs/$(subdir)/$(subdir).tag; then \
		echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		$(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		fi; \
		if test -d $(top_builddir)/apidocs/$(subdir)/html; then \
			list=`ls $(top_builddir)/apidocs/$(subdir)/html`; \
			for file in $$list; do \
				echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
					$(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
		done; \
		fi; \
		rm -f $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
		$(LN_S) $(kde_libs_htmldir)/en/common $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
	else\
		if test -d $(top_builddir)/apidocs; then \
		$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs ;\
		list=`cd $(top_builddir)/apidocs && ls -1`; \
		for file in $$list; do \
			if test -f $(top_builddir)/apidocs/$$file; then \
				echo $(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
				$(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
			fi; \
		done ; fi; \
	fi

uninstall-local: uninstall-apidox

uninstall-apidox:
	@if test "$(subdir)" != "."; then \
		if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); then \
			rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		fi\
	else\
		if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; then \
			rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
		fi\
	fi

apidox:
	@if test "$(subdir)" != "."; then \
		$(MAKE) apidox-am-@KDE_HAS_DOXYGEN@ ;\
	else \
		$(MAKE) apidox-am-toplevel-@KDE_HAS_DOXYGEN@ ;\
	fi
	@set fnord $(MAKEFLAGS); amf=$$2; if test -n '$(SUBDIRS)'; then \
	    list='$(SUBDIRS)'; \
	    for subdir in $$list; do \
		if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=no apidox) || exit 1; \
		fi ; fi ;\
	    done; \
	    for subdir in $$list; do \
		if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=yes apidox) || exit 1; \
		fi ; fi ;\
	    done; \
	fi

apidox-am-toplevel-no:
apidox-am-toplevel-yes:
	@echo "*** Creating API documentation main page"; \
	cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
	echo "PROJECT_NAME           = $(DOXYGEN_PROJECT_NAME)" >> Doxyfile ; \
	echo "PROJECT_NUMBER         = $(DOXYGEN_PROJECT_NUMBER)" >> Doxyfile ; \
	echo "INPUT                  = $(top_srcdir)" >> Doxyfile ; \
	echo "OUTPUT_DIRECTORY       = $(top_builddir)/apidocs" >> Doxyfile ; \
	echo "FILE_PATTERNS          = *.dox" >> Doxyfile ; \
	echo "RECURSIVE              = NO" >> Doxyfile ; \
	echo "SOURCE_BROWSER         = NO" >> Doxyfile ; \
	echo "ALPHABETICAL_INDEX     = NO" >> Doxyfile ; \
	echo "HTML_OUTPUT            = ." >> Doxyfile ; \
	echo "HTML_HEADER            = apidocs/common/mainheader.html" >> Doxyfile ; \
	echo "HTML_FOOTER            = apidocs/common/mainfooter.html" >> Doxyfile ; \
	echo "HTML_STYLESHEET        = apidocs/common/doxygen.css" >> Doxyfile ; \
	echo "GENERATE_LATEX         = NO" >> Doxyfile ; \
	echo "GENERATE_RTF           = NO" >> Doxyfile ; \
	echo "GENERATE_MAN           = NO" >> Doxyfile ; \
	echo "GENERATE_XML           = NO" >> Doxyfile ; \
	echo "GENERATE_AUTOGEN_DEF   = NO" >> Doxyfile ; \
	echo "ENABLE_PREPROCESSING   = NO" >> Doxyfile ; \
	echo "CLASS_DIAGRAMS         = NO" >> Doxyfile ; \
	echo "HAVE_DOT               = NO" >> Doxyfile ; \
	echo "GENERATE_HTML          = YES" >> Doxyfile ;\
	$(mkinstalldirs) $(top_builddir)/apidocs ; \
	rm -f $(top_builddir)/apidocs/common ; \
	if test -d $(top_srcdir)/doc/common; then \
	   common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
	else \
	   common_dir=$(kde_libs_htmldir)/en/common ;\
	fi ;\
	$(LN_S) $$common_dir $(top_builddir)/apidocs/common ;\
	doxygen Doxyfile; \
	rm -f Doxyfile

# Local Variables:
# mode: makefile
# End:
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
libkcal.la.closure: $(libkcal_la_OBJECTS) $(libkcal_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkcal_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkcal_la_closure.cpp
	$(CXXLINK) libkcal_la_closure.lo $(libkcal_la_LDFLAGS) $(libkcal_la_OBJECTS) $(libkcal_la_LIBADD) $(LIBS)
	@rm -f libkcal_la_closure.* libkcal.la.closure
	@echo "timestamp" > libkcal.la.closure


#>+ 3
clean-closures:
	-rm -f  libkcal.la.closure

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  libkcal/Makefile
	cd $(top_srcdir) && perl admin/am_edit libkcal/Makefile.in


#>+ 11
libkcal_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/incidencebase.cpp $(srcdir)/incidence.cpp $(srcdir)/journal.cpp $(srcdir)/todo.cpp $(srcdir)/event.cpp $(srcdir)/freebusy.cpp $(srcdir)/attendee.cpp $(srcdir)/recurrence.cpp $(srcdir)/alarm.cpp $(srcdir)/calendar.cpp $(srcdir)/calendarlocal.cpp $(srcdir)/calformat.cpp $(srcdir)/vcalformat.cpp $(srcdir)/icalformat.cpp $(srcdir)/icalformatimpl.cpp $(srcdir)/vcaldrag.cpp $(srcdir)/icaldrag.cpp $(srcdir)/exceptions.cpp $(srcdir)/scheduler.cpp $(srcdir)/imipscheduler.cpp $(srcdir)/dummyscheduler.cpp $(srcdir)/calfilter.cpp $(srcdir)/person.cpp $(srcdir)/period.cpp $(srcdir)/duration.cpp $(srcdir)/dndfactory.cpp $(srcdir)/filestorage.cpp $(srcdir)/compat.cpp 
	@echo 'creating libkcal_la.all_cpp.cpp ...'; \
	rm -f libkcal_la.all_cpp.files libkcal_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkcal_la.all_cpp.final; \
	for file in incidencebase.cpp incidence.cpp journal.cpp todo.cpp event.cpp freebusy.cpp attendee.cpp recurrence.cpp alarm.cpp calendar.cpp calendarlocal.cpp calformat.cpp vcalformat.cpp icalformat.cpp icalformatimpl.cpp vcaldrag.cpp icaldrag.cpp exceptions.cpp scheduler.cpp imipscheduler.cpp dummyscheduler.cpp calfilter.cpp person.cpp period.cpp duration.cpp dndfactory.cpp filestorage.cpp compat.cpp ; do \
	  echo "#include \"$$file\"" >> libkcal_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkcal_la.all_cpp.final; \
	done; \
	cat libkcal_la.all_cpp.final libkcal_la.all_cpp.files > libkcal_la.all_cpp.cpp; \
	rm -f libkcal_la.all_cpp.final libkcal_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkcal_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libkcal_la_OBJECTS="$(libkcal_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libkcal_la_OBJECTS="$(libkcal_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libkcal_la_OBJECTS="$(libkcal_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libkcal_la_OBJECTS="$(libkcal_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo
